Bug Hunting Session
Bug 119070 - Fractional font sizes in PDF causes misalignment
Summary: Fractional font sizes in PDF causes misalignment
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering PDF-Import-Draw
  Show dependency treegraph
 
Reported: 2018-08-02 18:37 UTC by Arcadiy Ivanov
Modified: 2019-10-13 02:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Source test doc created in Writer (4.14 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-08-02 18:39 UTC, Arcadiy Ivanov
Details
PDF doc exported from Writer (40.61 KB, application/pdf)
2018-08-02 18:39 UTC, Arcadiy Ivanov
Details
How Ocular sees the PDF doc (79.44 KB, image/png)
2018-08-02 18:41 UTC, Arcadiy Ivanov
Details
How Draw sees the PDF doc (58.70 KB, image/png)
2018-08-02 18:42 UTC, Arcadiy Ivanov
Details
How Draw sees a real-life PDF doc (worst case) (3.49 KB, image/png)
2018-08-02 18:45 UTC, Arcadiy Ivanov
Details
Screenshot doc vs pdf (62.28 KB, image/png)
2018-08-28 01:08 UTC, Regis Perdreau
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arcadiy Ivanov 2018-08-02 18:37:48 UTC
Description:
The use of fractional font sizes in PDF opened in LibreDraw causes misalignment.

Steps to Reproduce:
1. Create or find a word document that has fractional size fonts.
2. Export to PDF from writer.
3. Open in Draw. Observe various degrees of text misalignment.
4. Export from Draw into another PDF, observe the misalignment stays in the new PDF.

Actual Results:
Run-on text, misaligned text.

Expected Results:
Properly aligned text.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 Arcadiy Ivanov 2018-08-02 18:39:05 UTC
Created attachment 143938 [details]
Source test doc created in Writer
Comment 2 Arcadiy Ivanov 2018-08-02 18:39:38 UTC
Created attachment 143939 [details]
PDF doc exported from Writer
Comment 3 Arcadiy Ivanov 2018-08-02 18:41:35 UTC
Created attachment 143940 [details]
How Ocular sees the PDF doc
Comment 4 Arcadiy Ivanov 2018-08-02 18:42:41 UTC
Created attachment 143941 [details]
How Draw sees the PDF doc
Comment 5 Arcadiy Ivanov 2018-08-02 18:45:03 UTC
Created attachment 143942 [details]
How Draw sees a real-life PDF doc (worst case)
Comment 6 Regis Perdreau 2018-08-28 01:08:27 UTC
Created attachment 144490 [details]
Screenshot doc vs pdf

May be a lack of pdf support. I confirm the misalignement for pdf import in Draw. May be, we can have better. I set confirmed.
Comment 7 Buovjaga 2018-09-02 16:15:42 UTC
Sounds like Regis wanted to set to NEW, so correcting
Comment 8 V Stuart Foote 2018-10-12 16:18:26 UTC
Nothing new here!
Same behavior in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Why would one expect fidelity when taking text with differing font metrics and attributes (e.g. underlining) through filter export from MS Word to PDF, import from PDF into Draw document canvas as individual text runs, and then an export to PDF from Draw?

The PDF is structured with text runs drawn from spans on export, each change of font & attributes in the source OOXML or ODF will ensure it is handled in a different text run in the PDF. Then on filter import, positioning of *each* individual run as a Draw object onto document canvas is limited by our 1/100mm placement resolution.

Additionally, there is also a known issue in the precision of how fonts are scaled and text glyph height and span width is calculated--which is then manifested in filter during import and export.

That is why LibreOffice will *never* be considered a PDF editor--we do not hold positional precision of the objects placed to document canvas during filter import and then export, neither graphics nor text.
Comment 9 QA Administrators 2019-10-13 02:33:55 UTC
Dear Arcadiy Ivanov,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug